App\Entity\DroitUtilisateur:
    type: entity
    table: droit_utilisateur
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        nom:
            type: string
            length: 255
            fixed: false
            nullable: false
        label:
            type: string
            length: 255
            fixed: false
            nullable: true
        entite:
            type: string
            length: 255
            fixed: false
            nullable: true
    manyToOne:
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: droitutilisateur
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false
        droit:
            targetEntity: Droit
            cascade: {  }
            mappedBy: null
            inversedBy: droitutilisateur
            joinColumns:
                droit_id:
                    referencedColumnName: id
            orphanRemoval: true
        utilisateur:
            targetEntity: Utilisateur
            cascade: {  }
            mappedBy: null
            inversedBy: droitutilisateur
            joinColumns:
                utilisateur_id:
                    referencedColumnName: id
            orphanRemoval: true